<?php 
include('../../../../configuracion.php');
include('../config.php');
$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row(TABLA,'*',"id='$id'");



///////////////////////////////////////////////////////
 
$region = isset($_POST['region']) ? $_POST['region'] : NULL;
$comuna = isset($_POST['comuna']) ? $_POST['comuna'] : NULL;
$direccion = isset($_POST['direccion']) ? $_POST['direccion'] : NULL;
$ncasa = isset($_POST['ncasa']) ? $_POST['ncasa'] : NULL;
$cod_telefono = isset($_POST['cod_telefono']) ? $_POST['cod_telefono'] : NULL;
$telefono = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$apellido = isset($_POST['apellido']) ? $_POST['apellido'] : NULL;
$rut = isset($_POST['rut']) ? $_POST['rut'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

if($relacionados){ $relacionados = implode(",",$relacionados);}


$direccion = funcion::LimpiaComillaSimple($direccion);
$ncasa = funcion::LimpiaComillaSimple($ncasa);
$telefono = funcion::LimpiaComillaSimple($telefono);
$nombre = funcion::LimpiaComillaSimple($nombre);
$apellido = funcion::LimpiaComillaSimple($apellido);
$rut = funcion::LimpiaComillaSimple($rut);
$email = funcion::LimpiaComillaSimple($email);


$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'region'			=> @$region+0,
			'comuna'			=> @$comuna+0,
			'nombre'			=> $db->string($nombre),
			'apellido'			=> $db->string($apellido),
			'nombre_completo'	=> $db->string($nombre." ".$apellido),
			'rut'				=> $db->string($rut,html),
			'cod_telefono'		=> $db->string($cod_telefono),
			'telefono'			=> $db->string($telefono),
			'email'				=> $db->string($email),
			'direccion'			=> $db->string($direccion),
			'ncasa'				=> $db->string($ncasa),
			'estado'			=> @$estado+0,
			'editor'			=> @$editor+0,
			'fecha_edicion'		=> $db->string($fecha_edicion)
		);

		if ($db->update(TABLA,$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO.'/editar/'.$id;
		}


		if($datos->nombre!=$nombre) {
					// Creamos el Slug
		$slug = funcion::slug($nombre." ".$apellido." ".$rut);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");
		}

		

		
      
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>